aboutsummaryrefslogtreecommitdiff
path: root/bin/mkcp
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-09 17:15:40 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-09 17:20:10 +1200
commit9fb350dc7c8cc5259ef24e0cb097031179fab1d6 (patch)
tree839dd0b8ee3f5323b1cd6aefa22b605b99437d62 /bin/mkcp
parentMention nosls/sls flags in slsf(1) man page (diff)
downloaddotfiles-9fb350dc7c8cc5259ef24e0cb097031179fab1d6.tar.gz
dotfiles-9fb350dc7c8cc5259ef24e0cb097031179fab1d6.zip
Improve commenting/exit handling in binscripts
Diffstat (limited to 'bin/mkcp')
-rwxr-xr-xbin/mkcp14
1 files changed, 13 insertions, 1 deletions
diff --git a/bin/mkcp b/bin/mkcp
index e5b7b717..37bc87c0 100755
--- a/bin/mkcp
+++ b/bin/mkcp
@@ -1,6 +1,18 @@
#!/bin/sh
# Copy files into created directory in one call
-[ "$#" -gt 2 ] || exit 2
+
+# Check we have at least two arguments
+if [ "$#" -lt 2 ] ; then
+ printf >&2 'mkcp: Need at least one source and destination\n'
+ exit 2
+fi
+
+# Get the last argument (the directory to create)
for dir ; do : ; done
+
+# Create it, or bail
mkdir -p -- "$dir" || exit
+
+# Copy all the remaining arguments into the directory (which will be the last
+# argument)
cp -R -- "$@"